Summary:	TCP port reservation utility
Name:		portreserve
Version:	0.0.5
Release:	%mkrel 9
License:	GPL
Group:		System/Base
URL:		http://cyberelk.net/tim/portreserve/
Source0:	http://cyberelk.net/tim/data/portreserve/stable/%{name}-%{version}.tar.bz2
Source1:	portreserve.init
Patch1:		portreserve-0.0.0-socket_dir.diff
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
BuildRequires:	xmlto
BuildRequires:	docbook-style-xsl

%description
The portreserve program aims to help services with well-known ports that lie in
the portmap range.  It prevents portmap from a real service's port by occupying
it itself, until the real service tells it to release the port (generally in
the init script).

%prep

%setup -q
%patch1 -p1 -b .socket_dir

cp %{SOURCE1} portreserve-mageia.init

%build
autoreconf

%configure2_5x \
    --sbindir=/sbin

%make

%install
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_localstatedir}/lib/%{name}
install -d %{buildroot}%{_mandir}/man1

%makeinstall_std

install -m0755 portreserve-mageia.init %{buildroot}%{_initrddir}/%{name}

install -m0644 doc/portrelease.1 %{buildroot}%{_mandir}/man1/
install -m0644 doc/portreserve.1 %{buildroot}%{_mandir}/man1/

# (cg) Mask service (i.e. totally disable) under systemd.
# systemd has it's own socket activation that totally supercedes the functionality
# of this package and in actual fact breaks e.g. cups.
install -d %{buildroot}%{_unitdir}
ln -s /dev/null %{buildroot}%{_unitdir}/%{name}.service

%preun
# NB ththis will have no effect under systemd as they will be redirected to
# chkconfig but the service masking above will take priority
%_preun_service %{name}

%post
# NB this will have no effect under systemd as they will be redirected to
# chkconfig but the service masking above will take priority
%_post_service %{name}

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service %{name} condrestart >/dev/null 2>&1
fi

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %attr(0711,root,root) %{_localstatedir}/lib/%{name}
%dir %attr(0711,root,root) %{_sysconfdir}/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}
%{_unitdir}/%{name}.service
%attr(0755,root,root) /sbin/*
%{_mandir}/man1/*


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.0.5-9.mga6
+ Revision: 947199
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.5-8.mga5
+ Revision: 751169
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.5-6.mga4
+ Revision: 517646
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.5-5.mga3
+ Revision: 378092
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 24 2012 colin <colin> 0.0.5-4.mga3
+ Revision: 274001
- Rebuild with new spec-helper for non-relative symlnks to /dev/null

* Sat Apr 28 2012 tmb <tmb> 0.0.5-3.mga2
+ Revision: 233839
- Require rpm-helper >= 0.24.8-1 for systemd support

* Tue Feb 14 2012 colin <colin> 0.0.5-2.mga2
+ Revision: 208649
- Correction: Require docbook-style-xsl...
- Require docbook5-style-xsl during build (no net access on cluster)
- Disable under systemd as it breaks cups. krb5-server may need looked at.

* Fri Sep 09 2011 tv <tv> 0.0.5-1.mga2
+ Revision: 141623
- add missing LSB keywords
- s/mdv/mga/
- new release

* Mon Jan 17 2011 rtp <rtp> 0.0.4-4.mga1
+ Revision: 21363
- imported package portreserve


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.4-4mdv2011.0
+ Revision: 607193
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.4-3mdv2010.1
+ Revision: 519055
- rebuild

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.0.4-2mdv2010.0
+ Revision: 426755
- rebuild

* Sat Mar 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.4-1mdv2009.1
+ Revision: 354878
- update to new version 0.0.4

* Wed Mar 11 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.0.3-3mdv2009.1
+ Revision: 353839
- portreserve does not require the network to be up
- should start before network is up (network-up script has no chkconfig
  headers)

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.0.3-2mdv2009.1
+ Revision: 351639
- rebuild

* Tue Jul 01 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.3-1mdv2009.0
+ Revision: 230562
- 0.0.3
- generate the man pages

* Mon Jun 30 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1mdv2009.0
+ Revision: 230349
- 0.0.2
- drop P0, it's in there

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon Apr 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.0-3mdv2009.0
+ Revision: 196218
- added lsb headers to the init script

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.0.0-2mdv2008.0
+ Revision: 76943
- fix build
- rebuild

* Sun Aug 19 2007 Oden Eriksson <oeriksson@mandriva.com> 0.0.0-1mdv2008.0
+ Revision: 66672
- Import portreserve



* Sun Jul 30 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.0-1mdv2007.0
- initial Mandriva package
